Subject: Re: compiling ncurses (WAS Re: less, misbehaving)
From: [email-masked] (Geoffrey Noer)

8 Oct 1998 18:04:49 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Charles Wilson <[email-masked]>
Cc: [email-masked], [email-masked]

On Wed, Oct 07, 1998 at 01:59:00AM -0400, Charles Wilson wrote:
>
> Larry Hall said: "Someone recently added an option
> for bash of the form "@<file>" where <file> is the name of a file.  This
> causes problems for a sed script that uses '@' as field separators."

Yeah, we're in the midst of fixing the code in Cygwin that handles
@file.  This one's our fault.  :-)

> He's right - "@" is the problem, but you can't use "/" as the
> separator in the offending sed command, because the search/replace
> strings are pathnames and might contain "/". I applied the attached
> patch and everything compiled fine. The patch modifies line 5917
> only, and changes some of the @'s in that line to %'s.

I've also seen this problem though in sed expressions which don't
contain the @ symbol so that's not the only problem I'm seeing.
Well, I'll go play with it some more...

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".